#include "widget.h"
#include <QTimer>
#include <QHBoxLayout>
#include <QPushButton>
#include <QOpenGLWidget>

Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    resize(1024, 768);

    QHBoxLayout *l = new QHBoxLayout;
    setLayout(l);

    QOpenGLWidget *glw = new QOpenGLWidget(this);
    QPushButton *btn = new QPushButton("A very native button");
    l->addWidget(glw);
    l->addWidget(btn);

    QTimer::singleShot(5000, this, SLOT(makeNative()));
}

void Widget::makeNative()
{
    QPushButton *btn = findChild<QPushButton *>();
    btn->setAttribute(Qt::WA_NativeWindow);
}
